Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- Object
- orion
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.dialogs.DialogService
- orion.editor.AbstractStyler
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.HtmlGrammar
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.favorites.Favorites
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.globalCommands
- orion.links.TextLinkService
- orion.log.LogService
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Class orion.searchClient.Searcher

Provides API for searching the workspace.
Defined in: </shared/eclipse/e4/orion/I201110211442/plugins/org.eclipse.orion.client.core/web/orion/searchClient.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.searchClient.Searcher(options) Creates a new search client.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createSearchQuery(searchLocation, query, nameQuery) Returns a query URL for a search.
| handleError(response, resultsNode)
| saveSearch(favoriteName, query)
| search(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, useFlatList) Runs a search and displays the results under the given DOM node.
| showSearchResult(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, useFlatList, jsonData)
| showSearchResultInList(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, jsonData)
| showSearchResultInTree(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, jsonData)

Class Detail
orion.searchClient.Searcher(options)
Creates a new search client.

Parameters:
{Object} options
  The options object
{orion.serviceregistry.ServiceRegistry} options.serviceRegistry
  The service registry

Method Detail
createSearchQuery(searchLocation, query, nameQuery)
Returns a query URL for a search.

Parameters:
{String} searchLocation
  The base location of the search service
{String} query
  The text to search for, or null when searching purely on file name
{String} nameQuery Optional
  The name of a file to search for

handleError(response, resultsNode)

Parameters:
response
resultsNode

saveSearch(favoriteName, query)

Parameters:
favoriteName
query

search(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, useFlatList)
Runs a search and displays the results under the given DOM node.

Parameters:
{DOMNode} resultsNode
  Node under which results will be added.
{String} query
  URI of the query to run.
{String} excludeFile Optional
  URI of a file to exclude from the result listing.
{Boolean} generateHeading Optional
  generate a heading for the results
{Function(DOMNode)} onResultReady Optional
  If any results were found, this is called on the resultsNode.
{Boolean} hideSummaries Optional
  Don't show the summary of what matched beside each result.
{Boolean} useFlatList Optional
  Use flat list to show the result, other wise use a tree structure.

showSearchResult(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, useFlatList, jsonData)

Parameters:
resultsNode
query
excludeFile
generateHeading
onResultReady
hideSummaries
useFlatList
jsonData

showSearchResultInList(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, jsonData)

Parameters:
resultsNode
query
excludeFile
generateHeading
onResultReady
hideSummaries
jsonData

showSearchResultInTree(resultsNode, query, excludeFile, generateHeading, onResultReady, hideSummaries, jsonData)

Parameters:
resultsNode
query
excludeFile
generateHeading
onResultReady
hideSummaries
jsonData

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 21 2011 14:44:13 GMT-0400 (EDT)